Skip to content
vocapable.Docs

Dry-run the workflow for one customer. Nothing is created, sent or booked.

POST
/v1/workspace/workflows/{recipe_id}/preview
curl --request POST \
--url https://api.vocapable.com/v1/workspace/workflows/example/preview \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "organization_id": "example" }'
recipe_id
required
Recipe Id
string
Media typeapplication/json
WorkspaceWorkflowPreviewRequest
object
organization_id
required
Organization Id
string
Examplegenerated
{
"organization_id": "example"
}

Successful Response

Media typeapplication/json
WorkspaceWorkflowPreview

A dry run for one real customer. Nothing is created, sent, booked or charged.

object
recipe
required
Recipe
string
Allowed values: missed_call meeting sale_service lead_review
company_name
required
Company Name
string
customer_name
required
Customer Name
string
outcome
required
Outcome
string
Allowed values: Outreach stopped Contact review required Human review required
message
required
Message
string
effects
required
Effects
Array<string>
checks
required
Checks
Array<object>
WorkspaceWorkflowCheck
object
label
required
Label
string
ok
required
Ok
boolean
detail
required
Any of:
string
executed
Executed
boolean
Example
{
"recipe": "missed_call",
"outcome": "Outreach stopped",
"executed": false
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example",
"input": "example",
"ctx": {}
}
]
}